<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script type="text/javascript">
		// declarar
		let nota;
		// let salida=""; o let salida, o let salida="algo"
		let salida="Mal";

		// introducir
		nota=Number(prompt('Introduzca una nota'));

		// operar
		if (nota>0 && nota<3) {
			salida='muy deficiente';
		} else if (nota>=3 && nota<5) {
			salida='suspenso';
		} else if (nota>=5 && nota<6) {
			salida="suficiente";
		} else if (nota>=6 && nota<7) {
			salida="bien";
		} else if (nota>=7 && nota<9) {
			salida="notable";
		} else if (nota>=9 && nota<=10) {
			salida="sobresaliente";
		} 
		// else {salida="no existe";}
		// no hace falta si si salida está inicializada a 'Mal', inicializar por suposición
		//
		
		// salida
		console.log(salida);
		document.write(salida);
		alert(salida);


	</script>
</body>
</html>